import { requestClient } from '#/api/request';
enum Api {
  queryrclassApi = '/scheduleClassOpening/opening/list',
  addscheduleClassOpeningApi = '/scheduleClassOpening/opening',
  queryscheduleClassOpeningApi = '/scheduleClassOpening/opening',
}
//开班管理列表
export function queryrclassApilist(params: any) {
  return requestClient.get(Api.queryrclassApi, { params });
}
//新增开班管理
export function addscheduleClassOpeningApi(data: any) {
  return requestClient.post(Api.addscheduleClassOpeningApi, data, {
    successMessageMode: 'message',
  });
}
//开班详情
export function queryscheduleClassOpeningApi(id: any) {
  return requestClient.get(`${Api.queryscheduleClassOpeningApi}/${id}`);
}
// export function addtodoaskslist(data: any) {
//   return requestClient.post(Api.addtodoaskslist, data, {
//     successMessageMode: 'message',
//   });
// }
// //查询执行人列表
// export function queryExecutorList(params: any) {
//   return requestClient.get(Api.executorApi, {params});
// }
// //查询加油站列表
// export function queryGasStationList(params: any) {
//   return requestClient.get(Api.queryrgasstation, {params});
// }
